/*
 * Stairs lighting
 * Copyright 2017 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/Stairs
*/
#ifndef __global
#define __global

#include "lib/RS485_non_blocking.h"
#include "Adafruit_PWMServoDriver.h"
#include "settings.h"
#include "display.h"
#include "state.h"

extern Settings settings;
extern Display display;
extern RS485 comm;
extern Adafruit_PWMServoDriver pwmDriver;
extern State state;
extern uint32_t currentTime;

#endif