/*
 * Stairs lighting
 * Copyright 2017 (c) Mark van Renswoude
 *
 * https://git.x2software.net/pub/Stairs
*/
#ifndef __settings
#define __settings

#include <stdint.h>
#include <stdbool.h>

const uint8_t ModuleIndexUndefined = 0xff;


class Settings
{
  private:
    uint8_t mModuleIndex = ModuleIndexUndefined;

  public:
    void init();

    bool hasModuleIndex();
    uint8_t getModuleIndex();
    void setModuleIndex(uint8_t index);
};

#endif